function val = boxindicator(n1,n2,rho)
% Indicator function for a square domain
% (internal routine used by GenWindow.m)
%
% Usage:
%   val = boxindicator(n1,n2,rho)
% Inputs
%   n1,n2    coordinates
%   rho      parameter controlling the size of the square domain
% Output
%   val      equal to 1 if |n1|<=rho and |n2|<=rho, otherwise 0

ind1 = (abs(n1) <= rho);
ind2 = (abs(n2) <= rho);

val = ind1.*ind2;

% Copyright (c), Hannes Helgason, KTH, 2011