function plotcov(funch,N1,N2)
% Plots a covariance defined by a function handle
%
% Usage:
%   plotcov(funch,N1,N2)
% Inputs
%   funch     function handle for covariance r(n1,n2)
%   N1        plotting range -N1<=n1<=N1
%   N2        plotting range range -N2<=n2<=N2

n1lim = -N1:N1;
n2lim = -N2:N2;
[nn1,nn2] = meshgrid(n1lim,n2lim);
c = funch(nn1,nn2);

imagesc(n1lim,n2lim,c); colorbar; colormap(gray);
title('Covariance');
xlabel('n1'); ylabel('n2');

% Copyright (c), Hannes Helgason, KTH, 2011